weka.core.pmml.jaxbbindings

## Class ContStats

- java.lang.Object
- - weka.core.pmml.jaxbbindings.ContStats

-     public class ContStats
      extends java.lang.Object

  Java class for ContStats element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="ContStats">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Interval" maxOccurs="unbounded" minOccurs="0"/>
                 <group ref="{http://www.dmg.org/PMML-4_1}FrequenciesType" minOccurs="0"/>
               </sequence>
               <attribute name="totalSquaresSum" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="totalValuesSum" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContStats()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.util.List<Interval>` | `getInterval()` Gets the value of the interval property.
    `java.util.List<ArrayType>` | `getNUMARRAY()` Gets the value of the numarray property.
    `java.lang.Double` | `getTotalSquaresSum()` Gets the value of the totalSquaresSum property.
    `java.lang.Double` | `getTotalValuesSum()` Gets the value of the totalValuesSum property.
    `void` | `setTotalSquaresSum(java.lang.Double value)` Sets the value of the totalSquaresSum property.
    `void` | `setTotalValuesSum(java.lang.Double value)` Sets the value of the totalValuesSum property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContStats

          public ContStats()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getInterval

          public java.util.List<Interval> getInterval()

      Gets the value of the interval property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the interval property.

      For example, to add a new item, do as follows:

              getInterval().add(newItem);

      Objects of the following type(s) are allowed in the list `Interval`

    - #### getNUMARRAY

          public java.util.List<ArrayType> getNUMARRAY()

      Gets the value of the numarray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the numarray property.

      For example, to add a new item, do as follows:

              getNUMARRAY().add(newItem);

      Objects of the following type(s) are allowed in the list `ArrayType`

    - #### getTotalSquaresSum

          public java.lang.Double getTotalSquaresSum()

      Gets the value of the totalSquaresSum property.
      Returns:
        possible object is `Double`

    - #### setTotalSquaresSum

          public void setTotalSquaresSum(java.lang.Double value)

      Sets the value of the totalSquaresSum property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getTotalValuesSum

          public java.lang.Double getTotalValuesSum()

      Gets the value of the totalValuesSum property.
      Returns:
        possible object is `Double`

    - #### setTotalValuesSum

          public void setTotalValuesSum(java.lang.Double value)

      Sets the value of the totalValuesSum property.
      Parameters:
        `value` - allowed object is `Double`